package com.goafanti.order.bo.TaskScore;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.utils.excel.Excel;

import java.util.Date;

public class OutAdminTaskScore {

    /**
     * 用户姓名
     */
    @Excel(name = "用户姓名")
    private String name;
    /**
     * 高新&科技总数
     */
    @Excel(name = "高新&科技总数")
    private int htSatCount;
    /**
     * 高新&科技待评分数
     */
    @Excel(name = "高新&科技待评分数")
    private int htSatNotScoreCount;
    /**
     * 高新&科技已评分数
     */
    @Excel(name = "高新&科技已评分数")
    private int htSatScoreCount;


    /**
     * 高新&科技平均分
     */
    @Excel(name = "高新&科技平均分")
    private double htSatScoreAverage;
    /**
     * 会员数
     */
    @Excel(name = "会员数")
    private int memberCount;
    /**
     * 会员待评分数
     */
    @Excel(name = "会员待评分数")
    private int memberNotScoreCount;
    /**
     * 会员评分数
     */
    @Excel(name = "会员已评分数")
    private int memberScoreCount;
    /**
     * 会员平均分
     */
    @Excel(name = "会员平均分")
    private double memberScoreAverage;
    private String id;

    private String depId;
    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String depName;
    private String superId;
    /**
     * 上级主管名称
     */
    @Excel(name = "上级主管名称")
    private String superName;
    /**
     * 会员平均分
     */
    @Excel(name = "状态",readConverterExp = "0=正常，1=锁定")
    private String status;
    /**
     * 最后登录时间
     */
    @Excel(name = "最后登录时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lastLoginTime;

    @Excel(name = "备注")
    private String remarks;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public int getHtSatCount() {
        return htSatCount;
    }

    public void setHtSatCount(int htSatCount) {
        this.htSatCount = htSatCount;
    }

    public int getHtSatNotScoreCount() {
        return htSatNotScoreCount;
    }

    public void setHtSatNotScoreCount(int htSatNotScoreCount) {
        this.htSatNotScoreCount = htSatNotScoreCount;
    }

    public int getHtSatScoreCount() {
        return htSatScoreCount;
    }

    public void setHtSatScoreCount(int htSatScoreCount) {
        this.htSatScoreCount = htSatScoreCount;
    }

    public double getHtSatScoreAverage() {
        return htSatScoreAverage;
    }

    public void setHtSatScoreAverage(double htSatScoreAverage) {
        this.htSatScoreAverage = htSatScoreAverage;
    }

    public int getMemberCount() {
        return memberCount;
    }

    public void setMemberCount(int memberCount) {
        this.memberCount = memberCount;
    }

    public int getMemberNotScoreCount() {
        return memberNotScoreCount;
    }

    public void setMemberNotScoreCount(int memberNotScoreCount) {
        this.memberNotScoreCount = memberNotScoreCount;
    }

    public int getMemberScoreCount() {
        return memberScoreCount;
    }

    public void setMemberScoreCount(int memberScoreCount) {
        this.memberScoreCount = memberScoreCount;
    }

    public double getMemberScoreAverage() {
        return memberScoreAverage;
    }

    public void setMemberScoreAverage(double memberScoreAverage) {
        this.memberScoreAverage = memberScoreAverage;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getSuperId() {
        return superId;
    }

    public void setSuperId(String superId) {
        this.superId = superId;
    }

    public String getSuperName() {
        return superName;
    }

    public void setSuperName(String superName) {
        this.superName = superName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }
}
